Bug 845291 - [abrt] gedit-3.4.2-1.fc17: Process /usr/bin/gedit was killed by signal 6 (SIGABRT)
[abrt] gedit-3.4.2-1.fc17: Process /usr/bin/gedit was killed by signal 6 (SIG...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:d93d90a0bcbb232cc6ab57c728d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 10:58 EDT by Marcin Pasko
Modified: 2013-08-01 06:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:20:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (31.79 KB, text/plain)
2012-08-02 10:58 EDT, Marcin Pasko
no flags Details
File: maps (41.03 KB, text/plain)
2012-08-02 10:58 EDT, Marcin Pasko
no flags Details
File: dso_list (15.13 KB, text/plain)
2012-08-02 10:58 EDT, Marcin Pasko
no flags Details

  None (edit)
Description Marcin Pasko 2012-08-02 10:58:00 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit
executable:     /usr/bin/gedit
kernel:         3.4.6-2.fc17.i686
pid:            1425
pwd:            /home/nr
remote_result:  NOTFOUND
time:           śro, 1 sie 2012, 14:39:43
uid:            1000
username:       nr
var_log_messages: Aug  1 14:39:44 localhost abrt[10388]: Saved core dump of pid 1425 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-08-01-14:39:43-1425 (90558464 bytes)

backtrace:      Text file, 32558 bytes
dso_list:       Text file, 15494 bytes
maps:           Text file, 42017 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/nr/2

comment:
:I was using gedit editor in two windowses, each of them in different workspaces. One of them was fixed "always on  top".
:The problem occured when I was switching between fixed gedit window and another application in the bottom.

core_backtrace:
:1aadcefe41f3a9ed502bbff5053566a045b5ef59 0x424 __kernel_vsyscall linux-gate.so.1 -
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x2e93f raise libc.so.6 -
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x30293 abort libc.so.6 -
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x6a779 g_assertion_message libglib-2.0.so.0 -
:3c7bd11eaf18b2bcc0a690bc67fcf0c204d1db14 0xb86e - _gi.so -
:3c7bd11eaf18b2bcc0a690bc67fcf0c204d1db14 0xf43b - _gi.so -
:- 0x0 - - -
:- 0x0 - - -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/nr/keyring-Msa5ea
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=nr
:USERNAME=nr
:MAIL=/var/spool/mail/nr
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/nr/.local/bin:/home/nr/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/nr
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=987
:LANG=pl_PL.utf8
:GDM_LANG=pl_PL.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/nr
:SHLVL=1
:LOGNAME=nr
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-iQKYfyTBIG,guid=7041a1a747254b3306385a9f0000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/nr
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-nr-kwSItA/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/991,unix/unix:/tmp/.ICE-unix/991
:SSH_AUTH_SOCK=/run/user/nr/keyring-Msa5ea/ssh
:GPG_AGENT_INFO=/run/user/nr/keyring-Msa5ea/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1425
:DESKTOP_STARTUP_ID=gnome-shell-1161-localhost.localdomain-gedit-0_TIME204325

event_log:
:2012-08-02-16:03:21> Odpytywanie ustawień serwera
:2012-08-02-16:03:22  Przygotowywanie do wysłania archiwum
:2012-08-02-16:03:30  Wysyłanie 5 megabajtów
:2012-08-02-16:03:40  Wysyłanie 6%
:2012-08-02-16:03:50  Wysyłanie 12%
:2012-08-02-16:04:00  Wysyłanie 18%
:2012-08-02-16:04:10  Wysyłanie 24%
:2012-08-02-16:04:20  Wysyłanie 30%
:2012-08-02-16:04:30  Wysyłanie 36%
:2012-08-02-16:04:40  Wysyłanie 41%
:2012-08-02-16:04:50  Wysyłanie 47%
:2012-08-02-16:05:00  Wysyłanie 53%
:2012-08-02-16:05:11  Wysyłanie 59%
:2012-08-02-16:05:21  Wysyłanie 66%
:2012-08-02-16:05:31  Wysyłanie 72%
:2012-08-02-16:05:41  Wysyłanie 77%
:2012-08-02-16:05:51  Wysyłanie 84%
:2012-08-02-16:06:01  Wysyłanie 90%
:2012-08-02-16:06:11  Wysyłanie 95%
:2012-08-02-16:06:17  Wysłano pomyślnie
:2012-08-02-16:06:21  Uruchomiono zadanie ponownego śledzenia
:2012-08-02-16:06:32  Analyzing crash data
:2012-08-02-16:06:43  Analyzing crash data
:2012-08-02-16:06:55  Analyzing crash data
:2012-08-02-16:07:06  Analyzing crash data
:2012-08-02-16:07:18  Analyzing crash data
:2012-08-02-16:07:30  Initializing virtual root
:2012-08-02-16:07:41  Initializing virtual root
:2012-08-02-16:07:53  Initializing virtual root
:2012-08-02-16:08:05  Initializing virtual root
:2012-08-02-16:08:17  Initializing virtual root
:2012-08-02-16:08:29  Initializing virtual root
:2012-08-02-16:08:40  Initializing virtual root
:2012-08-02-16:08:52  Initializing virtual root
:2012-08-02-16:09:03  Initializing virtual root
:2012-08-02-16:09:15  Initializing virtual root
:2012-08-02-16:09:27  Initializing virtual root
:2012-08-02-16:09:38  Initializing virtual root
:2012-08-02-16:09:50  Initializing virtual root
:2012-08-02-16:10:02  Initializing virtual root
:2012-08-02-16:10:13  Initializing virtual root
:2012-08-02-16:10:25  Initializing virtual root
:2012-08-02-16:10:37  Initializing virtual root
:2012-08-02-16:10:48  Initializing virtual root
:2012-08-02-16:11:00  Initializing virtual root
:2012-08-02-16:11:11  Initializing virtual root
:2012-08-02-16:11:23  Initializing virtual root
:2012-08-02-16:11:34  Initializing virtual root
:2012-08-02-16:11:46  Initializing virtual root
:2012-08-02-16:11:58  Initializing virtual root
:2012-08-02-16:12:09  Initializing virtual root
:2012-08-02-16:12:21  Initializing virtual root
:2012-08-02-16:12:35  Initializing virtual root
:2012-08-02-16:12:47  Initializing virtual root
:2012-08-02-16:12:59  Initializing virtual root
:2012-08-02-16:13:10  Initializing virtual root
:2012-08-02-16:13:22  Initializing virtual root
:2012-08-02-16:13:33  Initializing virtual root
:2012-08-02-16:13:45  Initializing virtual root
:2012-08-02-16:13:56  Initializing virtual root
:2012-08-02-16:14:08  Initializing virtual root
:2012-08-02-16:14:20  Generating backtrace
:2012-08-02-16:14:33  Cleaning up virtual root
:2012-08-02-16:14:45  Retrace job finished successfully

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23559                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23559                23559                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/nr/.xsession-errors
:pos:	1232002
:flags:	02002
:2:/home/nr/.xsession-errors
:pos:	1232002
:flags:	02002
:3:socket:[25398]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[24229]
:pos:	0
:flags:	02004002
:6:socket:[24231]
:pos:	0
:flags:	02000002
:7:socket:[24233]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:/tmp/ffiWOkqTt (deleted)
:pos:	0
:flags:	02
:13:socket:[24236]
:pos:	0
:flags:	02004002
:14:/home/nr/.local/share/gvfs-metadata/root
:pos:	0
:flags:	0100000
:15:/home/nr/.local/share/gvfs-metadata/root-e4c17d50.log
:pos:	0
:flags:	0100000
Comment 1 Marcin Pasko 2012-08-02 10:58:04 EDT
Created attachment 601977 [details]
File: backtrace
Comment 2 Marcin Pasko 2012-08-02 10:58:10 EDT
Created attachment 601978 [details]
File: maps
Comment 3 Marcin Pasko 2012-08-02 10:58:14 EDT
Created attachment 601979 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 23:09:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 06:20:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.